Reschedule an email
Change scheduledAt on an email that has not been sent yet.
PATCH
https://app.usenotix.dev/api/v1/emails/{emailId}Needs a full access key. Sending access keys cannot call this. Key permissions lists the extra rules some calls have.
Change scheduledAt on an email that has not been sent yet.
Path parameters
emailIdstringrequired
Body parameters
scheduledAtstring (date-time)required
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X PATCH "https://app.usenotix.dev/api/v1/emails/<emailId>" \
-H "Authorization: Bearer $NOTIX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scheduledAt": "2026-10-01T09:00:00Z"
}'
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.emails.update("email_123", {
scheduledAt: "2026-10-01T09:00:00Z",
});
from notix import Notix
notix = Notix() # reads NOTIX_API_KEY
data, _ = notix.emails.update("email_123", {"scheduledAt": "2026-10-01T09:00:00Z"})
use Notix\Notix;
$notix = new Notix(getenv('NOTIX_API_KEY'));
$email = $notix->emails->update('email_123', ['scheduledAt' => '2026-10-01T09:00:00Z']);
Response200
{
"emailId": "cm1x8f3k20001qz7v5b9d2e4a"
}